.burger_menu {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  padding-top: var(--header-height);
  background-color: var(--body-bg-color-primary);
  z-index: 10;

  &__content {
    overflow: auto;
    display: grid;
    grid-template-rows: minmax(50px, auto) 1fr auto;
    grid-gap: 20px;
    height: 100%;
    padding: calc(var(--gap-very-large) * 1.5) var(--gap-medium) calc(var(--gap-very-large) * 2);
    justify-items: center;
    align-items: center;

    &::-webkit-scrollbar-track {
      background: var(--scrollbar-thumb-border-color);
    }

    &::-webkit-scrollbar-thumb {
      border: 4px solid var(--scrollbar-thumb-border-color);
    }
  }
}
